Update a document Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v1/document/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • uuid string Required
application/json

Body

  • name string

    The name of the document.

  • client_uuids array[string(uuid)]

    An array containing the client uuids that should be sent the document when it is built.

  • known_dependants object

    Optional: The document variable dependants. Used to swap variables out for real data.

    Additional properties are allowed.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • version integer
    • name string
    • status string
    • last_publishing_error string
    • required_dependants object
      Hide required_dependants attribute Show required_dependants attribute object
      • client-1 string
    • known_dependants object
      Hide known_dependants attribute Show known_dependants attribute object
      • client-1 string
    • public_docx_url string
    • public_sfdt_url string
    • public_pdf_url string
    • public_preview_url string
  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
PUT /api/v1/document/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/document/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{
  "name": "Client Service Agreement",
  "client_uuids": [
    "c45c5891-853b-4b29-a882-8bed3abf1aa5",
    "cbc351c4-7e2e-450f-9fcd-6d14bb09c501",
    "f729dcb0-a540-4602-b24c-f36f2658d1a1"
  ],
  "known_dependants": {
    "client-1": "426f70af-364f-4322-b629-53200490e1c1"
  }
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Client Service Agreement",
  "client_uuids": [
    "c45c5891-853b-4b29-a882-8bed3abf1aa5",
    "cbc351c4-7e2e-450f-9fcd-6d14bb09c501",
    "f729dcb0-a540-4602-b24c-f36f2658d1a1"
  ],
  "known_dependants": {
    "client-1": "426f70af-364f-4322-b629-53200490e1c1"
  }
}
Response examples (200)
[
  {
    "uuid": "477632e7-1977-4444-84ab-94842ad83064",
    "created_at": "2026-09-17T15:11:00+01:00",
    "updated_at": "2026-09-17T15:11:00+01:00",
    "version": 3,
    "name": "Welcome Template",
    "status": "published",
    "last_publishing_error": "There was an error converting this file to PDF. Please try again later.",
    "required_dependants": {
      "client-1": "client"
    },
    "known_dependants": {
      "client-1": "a57e2dcd-44a0-404b-b007-bf0680b8e5f1"
    },
    "public_docx_url": "https://api.plannrcrm.com/document/f44ae504-7c7d-4ff1-a36b-49ea6fd3476c/content/docx?plannr_account_uuid=6b6c5fa8-eddb-4f50-855a-ab5e7b6e37e1",
    "public_sfdt_url": "https://api.plannrcrm.com/document/b044470f-4454-4cd1-8961-0e5d9467de4d/content/sfdt?plannr_account_uuid=200bf353-113d-492a-981d-847852095ac4",
    "public_pdf_url": "https://api.plannrcrm.com/document/9d0a00a2-8620-409a-bd60-1c7a20cf724d/content/pdf?plannr_account_uuid=63f3c612-3b6e-41e9-869e-1e6347f4e5d4",
    "public_preview_url": "https://api.plannrcrm.com/document/80bab189-ddab-4f47-905c-b5d7fe45e2cf/content/preview?plannr_account_uuid=974c5488-3bca-4bd3-88bf-638b35b26c4f"
  }
]
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}